Kafka Connect
Restart the specified connector
POST
/apis/cloud.sn.io/v1/connectors/kafka/connectors/{connector}:restartAuthorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
connector*string
Query Parameters
includeTasks?boolean
Whether to also restart tasks
Default
falseonlyFailed?boolean
Whether to only restart failed tasks/connectors
Default
falseResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/apis/cloud.sn.io/v1/connectors/kafka/connectors/string:restart"{ "name": "string", "connector": { "state": "string", "worker_id": "string", "msg": "string", "trace": "string" }, "tasks": [ { "id": 0, "state": "string", "worker_id": "string", "msg": "string", "trace": "string" } ], "type": "source"}